Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1210990 (qt5-qtwebchannel) - Review Request: qt5-qtwebchannel - Qt5 WebChannel component
Summary: Review Request: qt5-qtwebchannel - Qt5 WebChannel component
Keywords:
Status: CLOSED RAWHIDE
Alias: qt5-qtwebchannel
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2015-04-11 21:26 UTC by Taylor Braun-Jones
Modified: 2015-08-05 17:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-05 17:19:21 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Taylor Braun-Jones 2015-04-11 21:26:35 UTC
Spec URL: http://files.braun-jones.org/qt5-qtwebchannel.spec
SRPM URL: http://files.braun-jones.org/qt5-qtwebchannel-5.4.1-1.el7.centos.src.rpm
Description: 
The Qt WebChannel module provides a library for seamless integration of C++
and QML applications with HTML/JavaScript clients. Any QObject can be
published to remote clients, where its public API becomes available.

Fedora Account System Username: nocnokneo

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=9463055

Comment 1 Rex Dieter 2015-04-11 22:28:53 UTC
$ rpmlint qt5-qtwebchannel qt5-qtwebchannel-devel
qt5-qtwebchannel.x86_64: W: incoherent-version-in-changelog 5.4.0-1 ['5.4.1-1.fc22', '5.4.1-1']
qt5-qtwebchannel.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5WebChannel.so.5.4.1 /lib64/libQt5Network.so.5
qt5-qtwebchannel.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5WebChannel.so.5.4.1 /lib64/libpthread.so.0
qt5-qtwebchannel.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5WebChannel.so.5.4.1 /lib64/libm.so.6
qt5-qtwebchannel.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5WebChannel.so.5.4.1 /lib64/libgcc_s.so.1
qt5-qtwebchannel-devel.x86_64: W: only-non-binary-in-usr-lib
qt5-qtwebchannel-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 7 warnings.

mostly harmless

naming: ok, matches standard naming of other qt5- modules in distro

license: ok

sources: ok
$ md5sum *.xz
bb914134c164c6758a0074748cc678ff  qtwebchannel-opensource-src-5.4.1.tar.xz

builds/installs: ok

macros: ok

scriptlet: ok

looks like the qt5-qtwebsocket build dependency is optional and only for some examples, but using it here is mostly harmless.  Probably worth adding a .spec comment about this, in case it helps bootstrapping new archs.


Otherwise, thanks, looks good, APPROVED

Comment 2 Rex Dieter 2015-04-11 22:31:07 UTC
If you don't mind, please add group:kde-sig as comaintainer for this package when submitting scm request.

Comment 3 Taylor Braun-Jones 2015-04-11 22:38:29 UTC
(In reply to Rex Dieter from comment #1)
> looks like the qt5-qtwebsocket build dependency is optional and only for
> some examples, but using it here is mostly harmless.  Probably worth adding
> a .spec comment about this, in case it helps bootstrapping new archs.

Fixed with comment explanation.

Comment 4 Taylor Braun-Jones 2015-04-11 22:42:40 UTC
New Package SCM Request
=======================
Package Name: qt5-qtwebchannel
Short Description: Qt5 WebChannel component
Upstream URL: http://qt.io
Owners: nocnokneo group:kde-sig
Branches: f20 f21 f22 el6 epel7
InitialCC:

Comment 5 Rex Dieter 2015-04-11 22:57:24 UTC
Sorry, checking other reviews, looks like the correct syntax is group::kde-sig

Comment 6 Rex Dieter 2015-04-11 22:57:36 UTC
New Package SCM Request
=======================
Package Name: qt5-qtwebchannel
Short Description: Qt5 WebChannel component
Upstream URL: http://qt.io
Owners: nocnokneo group::kde-sig
Branches: f20 f21 f22 el6 epel7
InitialCC:

Comment 7 Gwyn Ciesla 2015-04-12 15:20:38 UTC
Git done (by process-git-requests).

Comment 8 Rex Dieter 2015-08-05 17:19:21 UTC
imported into rawhide awhile back.


Note You need to log in before you can comment on or make changes to this bug.